package com.lightinit.hsdataplatformresdir.entity;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class RunningMonitoringExample extends BaseExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public RunningMonitoringExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andMonitoringTypeIsNull() {
            addCriterion("monitoring_type is null");
            return (Criteria) this;
        }

        public Criteria andMonitoringTypeIsNotNull() {
            addCriterion("monitoring_type is not null");
            return (Criteria) this;
        }

        public Criteria andMonitoringTypeEqualTo(String value) {
            addCriterion("monitoring_type =", value, "monitoringType");
            return (Criteria) this;
        }

        public Criteria andMonitoringTypeNotEqualTo(String value) {
            addCriterion("monitoring_type <>", value, "monitoringType");
            return (Criteria) this;
        }

        public Criteria andMonitoringTypeGreaterThan(String value) {
            addCriterion("monitoring_type >", value, "monitoringType");
            return (Criteria) this;
        }

        public Criteria andMonitoringTypeGreaterThanOrEqualTo(String value) {
            addCriterion("monitoring_type >=", value, "monitoringType");
            return (Criteria) this;
        }

        public Criteria andMonitoringTypeLessThan(String value) {
            addCriterion("monitoring_type <", value, "monitoringType");
            return (Criteria) this;
        }

        public Criteria andMonitoringTypeLessThanOrEqualTo(String value) {
            addCriterion("monitoring_type <=", value, "monitoringType");
            return (Criteria) this;
        }

        public Criteria andMonitoringTypeLike(String value) {
            addCriterion("monitoring_type like", value, "monitoringType");
            return (Criteria) this;
        }

        public Criteria andMonitoringTypeNotLike(String value) {
            addCriterion("monitoring_type not like", value, "monitoringType");
            return (Criteria) this;
        }

        public Criteria andMonitoringTypeIn(List<String> values) {
            addCriterion("monitoring_type in", values, "monitoringType");
            return (Criteria) this;
        }

        public Criteria andMonitoringTypeNotIn(List<String> values) {
            addCriterion("monitoring_type not in", values, "monitoringType");
            return (Criteria) this;
        }

        public Criteria andMonitoringTypeBetween(String value1, String value2) {
            addCriterion("monitoring_type between", value1, value2, "monitoringType");
            return (Criteria) this;
        }

        public Criteria andMonitoringTypeNotBetween(String value1, String value2) {
            addCriterion("monitoring_type not between", value1, value2, "monitoringType");
            return (Criteria) this;
        }

        public Criteria andMonitoringTimeStrFromIsNull() {
            addCriterion("monitoring_time_str_from is null");
            return (Criteria) this;
        }

        public Criteria andMonitoringTimeStrFromIsNotNull() {
            addCriterion("monitoring_time_str_from is not null");
            return (Criteria) this;
        }

        public Criteria andMonitoringTimeStrFromEqualTo(String value) {
            addCriterion("monitoring_time_str_from =", value, "monitoringTimeStrFrom");
            return (Criteria) this;
        }

        public Criteria andMonitoringTimeStrFromNotEqualTo(String value) {
            addCriterion("monitoring_time_str_from <>", value, "monitoringTimeStrFrom");
            return (Criteria) this;
        }

        public Criteria andMonitoringTimeStrFromGreaterThan(String value) {
            addCriterion("monitoring_time_str_from >", value, "monitoringTimeStrFrom");
            return (Criteria) this;
        }

        public Criteria andMonitoringTimeStrFromGreaterThanOrEqualTo(String value) {
            addCriterion("monitoring_time_str_from >=", value, "monitoringTimeStrFrom");
            return (Criteria) this;
        }

        public Criteria andMonitoringTimeStrFromLessThan(String value) {
            addCriterion("monitoring_time_str_from <", value, "monitoringTimeStrFrom");
            return (Criteria) this;
        }

        public Criteria andMonitoringTimeStrFromLessThanOrEqualTo(String value) {
            addCriterion("monitoring_time_str_from <=", value, "monitoringTimeStrFrom");
            return (Criteria) this;
        }

        public Criteria andMonitoringTimeStrFromLike(String value) {
            addCriterion("monitoring_time_str_from like", value, "monitoringTimeStrFrom");
            return (Criteria) this;
        }

        public Criteria andMonitoringTimeStrFromNotLike(String value) {
            addCriterion("monitoring_time_str_from not like", value, "monitoringTimeStrFrom");
            return (Criteria) this;
        }

        public Criteria andMonitoringTimeStrFromIn(List<String> values) {
            addCriterion("monitoring_time_str_from in", values, "monitoringTimeStrFrom");
            return (Criteria) this;
        }

        public Criteria andMonitoringTimeStrFromNotIn(List<String> values) {
            addCriterion("monitoring_time_str_from not in", values, "monitoringTimeStrFrom");
            return (Criteria) this;
        }

        public Criteria andMonitoringTimeStrFromBetween(String value1, String value2) {
            addCriterion("monitoring_time_str_from between", value1, value2, "monitoringTimeStrFrom");
            return (Criteria) this;
        }

        public Criteria andMonitoringTimeStrFromNotBetween(String value1, String value2) {
            addCriterion("monitoring_time_str_from not between", value1, value2, "monitoringTimeStrFrom");
            return (Criteria) this;
        }

        public Criteria andMonitoringTimeStrToIsNull() {
            addCriterion("monitoring_time_str_to is null");
            return (Criteria) this;
        }

        public Criteria andMonitoringTimeStrToIsNotNull() {
            addCriterion("monitoring_time_str_to is not null");
            return (Criteria) this;
        }

        public Criteria andMonitoringTimeStrToEqualTo(String value) {
            addCriterion("monitoring_time_str_to =", value, "monitoringTimeStrTo");
            return (Criteria) this;
        }

        public Criteria andMonitoringTimeStrToNotEqualTo(String value) {
            addCriterion("monitoring_time_str_to <>", value, "monitoringTimeStrTo");
            return (Criteria) this;
        }

        public Criteria andMonitoringTimeStrToGreaterThan(String value) {
            addCriterion("monitoring_time_str_to >", value, "monitoringTimeStrTo");
            return (Criteria) this;
        }

        public Criteria andMonitoringTimeStrToGreaterThanOrEqualTo(String value) {
            addCriterion("monitoring_time_str_to >=", value, "monitoringTimeStrTo");
            return (Criteria) this;
        }

        public Criteria andMonitoringTimeStrToLessThan(String value) {
            addCriterion("monitoring_time_str_to <", value, "monitoringTimeStrTo");
            return (Criteria) this;
        }

        public Criteria andMonitoringTimeStrToLessThanOrEqualTo(String value) {
            addCriterion("monitoring_time_str_to <=", value, "monitoringTimeStrTo");
            return (Criteria) this;
        }

        public Criteria andMonitoringTimeStrToLike(String value) {
            addCriterion("monitoring_time_str_to like", value, "monitoringTimeStrTo");
            return (Criteria) this;
        }

        public Criteria andMonitoringTimeStrToNotLike(String value) {
            addCriterion("monitoring_time_str_to not like", value, "monitoringTimeStrTo");
            return (Criteria) this;
        }

        public Criteria andMonitoringTimeStrToIn(List<String> values) {
            addCriterion("monitoring_time_str_to in", values, "monitoringTimeStrTo");
            return (Criteria) this;
        }

        public Criteria andMonitoringTimeStrToNotIn(List<String> values) {
            addCriterion("monitoring_time_str_to not in", values, "monitoringTimeStrTo");
            return (Criteria) this;
        }

        public Criteria andMonitoringTimeStrToBetween(String value1, String value2) {
            addCriterion("monitoring_time_str_to between", value1, value2, "monitoringTimeStrTo");
            return (Criteria) this;
        }

        public Criteria andMonitoringTimeStrToNotBetween(String value1, String value2) {
            addCriterion("monitoring_time_str_to not between", value1, value2, "monitoringTimeStrTo");
            return (Criteria) this;
        }

        public Criteria andMonitoringCycleIsNull() {
            addCriterion("monitoring_cycle is null");
            return (Criteria) this;
        }

        public Criteria andMonitoringCycleIsNotNull() {
            addCriterion("monitoring_cycle is not null");
            return (Criteria) this;
        }

        public Criteria andMonitoringCycleEqualTo(Integer value) {
            addCriterion("monitoring_cycle =", value, "monitoringCycle");
            return (Criteria) this;
        }

        public Criteria andMonitoringCycleNotEqualTo(Integer value) {
            addCriterion("monitoring_cycle <>", value, "monitoringCycle");
            return (Criteria) this;
        }

        public Criteria andMonitoringCycleGreaterThan(Integer value) {
            addCriterion("monitoring_cycle >", value, "monitoringCycle");
            return (Criteria) this;
        }

        public Criteria andMonitoringCycleGreaterThanOrEqualTo(Integer value) {
            addCriterion("monitoring_cycle >=", value, "monitoringCycle");
            return (Criteria) this;
        }

        public Criteria andMonitoringCycleLessThan(Integer value) {
            addCriterion("monitoring_cycle <", value, "monitoringCycle");
            return (Criteria) this;
        }

        public Criteria andMonitoringCycleLessThanOrEqualTo(Integer value) {
            addCriterion("monitoring_cycle <=", value, "monitoringCycle");
            return (Criteria) this;
        }

        public Criteria andMonitoringCycleIn(List<Integer> values) {
            addCriterion("monitoring_cycle in", values, "monitoringCycle");
            return (Criteria) this;
        }

        public Criteria andMonitoringCycleNotIn(List<Integer> values) {
            addCriterion("monitoring_cycle not in", values, "monitoringCycle");
            return (Criteria) this;
        }

        public Criteria andMonitoringCycleBetween(Integer value1, Integer value2) {
            addCriterion("monitoring_cycle between", value1, value2, "monitoringCycle");
            return (Criteria) this;
        }

        public Criteria andMonitoringCycleNotBetween(Integer value1, Integer value2) {
            addCriterion("monitoring_cycle not between", value1, value2, "monitoringCycle");
            return (Criteria) this;
        }

        public Criteria andAlertMethodIsNull() {
            addCriterion("alert_method is null");
            return (Criteria) this;
        }

        public Criteria andAlertMethodIsNotNull() {
            addCriterion("alert_method is not null");
            return (Criteria) this;
        }

        public Criteria andAlertMethodEqualTo(String value) {
            addCriterion("alert_method =", value, "alertMethod");
            return (Criteria) this;
        }

        public Criteria andAlertMethodNotEqualTo(String value) {
            addCriterion("alert_method <>", value, "alertMethod");
            return (Criteria) this;
        }

        public Criteria andAlertMethodGreaterThan(String value) {
            addCriterion("alert_method >", value, "alertMethod");
            return (Criteria) this;
        }

        public Criteria andAlertMethodGreaterThanOrEqualTo(String value) {
            addCriterion("alert_method >=", value, "alertMethod");
            return (Criteria) this;
        }

        public Criteria andAlertMethodLessThan(String value) {
            addCriterion("alert_method <", value, "alertMethod");
            return (Criteria) this;
        }

        public Criteria andAlertMethodLessThanOrEqualTo(String value) {
            addCriterion("alert_method <=", value, "alertMethod");
            return (Criteria) this;
        }

        public Criteria andAlertMethodLike(String value) {
            addCriterion("alert_method like", value, "alertMethod");
            return (Criteria) this;
        }

        public Criteria andAlertMethodNotLike(String value) {
            addCriterion("alert_method not like", value, "alertMethod");
            return (Criteria) this;
        }

        public Criteria andAlertMethodIn(List<String> values) {
            addCriterion("alert_method in", values, "alertMethod");
            return (Criteria) this;
        }

        public Criteria andAlertMethodNotIn(List<String> values) {
            addCriterion("alert_method not in", values, "alertMethod");
            return (Criteria) this;
        }

        public Criteria andAlertMethodBetween(String value1, String value2) {
            addCriterion("alert_method between", value1, value2, "alertMethod");
            return (Criteria) this;
        }

        public Criteria andAlertMethodNotBetween(String value1, String value2) {
            addCriterion("alert_method not between", value1, value2, "alertMethod");
            return (Criteria) this;
        }

        public Criteria andAlertTimeStrFromIsNull() {
            addCriterion("alert_time_str_from is null");
            return (Criteria) this;
        }

        public Criteria andAlertTimeStrFromIsNotNull() {
            addCriterion("alert_time_str_from is not null");
            return (Criteria) this;
        }

        public Criteria andAlertTimeStrFromEqualTo(String value) {
            addCriterion("alert_time_str_from =", value, "alertTimeStrFrom");
            return (Criteria) this;
        }

        public Criteria andAlertTimeStrFromNotEqualTo(String value) {
            addCriterion("alert_time_str_from <>", value, "alertTimeStrFrom");
            return (Criteria) this;
        }

        public Criteria andAlertTimeStrFromGreaterThan(String value) {
            addCriterion("alert_time_str_from >", value, "alertTimeStrFrom");
            return (Criteria) this;
        }

        public Criteria andAlertTimeStrFromGreaterThanOrEqualTo(String value) {
            addCriterion("alert_time_str_from >=", value, "alertTimeStrFrom");
            return (Criteria) this;
        }

        public Criteria andAlertTimeStrFromLessThan(String value) {
            addCriterion("alert_time_str_from <", value, "alertTimeStrFrom");
            return (Criteria) this;
        }

        public Criteria andAlertTimeStrFromLessThanOrEqualTo(String value) {
            addCriterion("alert_time_str_from <=", value, "alertTimeStrFrom");
            return (Criteria) this;
        }

        public Criteria andAlertTimeStrFromLike(String value) {
            addCriterion("alert_time_str_from like", value, "alertTimeStrFrom");
            return (Criteria) this;
        }

        public Criteria andAlertTimeStrFromNotLike(String value) {
            addCriterion("alert_time_str_from not like", value, "alertTimeStrFrom");
            return (Criteria) this;
        }

        public Criteria andAlertTimeStrFromIn(List<String> values) {
            addCriterion("alert_time_str_from in", values, "alertTimeStrFrom");
            return (Criteria) this;
        }

        public Criteria andAlertTimeStrFromNotIn(List<String> values) {
            addCriterion("alert_time_str_from not in", values, "alertTimeStrFrom");
            return (Criteria) this;
        }

        public Criteria andAlertTimeStrFromBetween(String value1, String value2) {
            addCriterion("alert_time_str_from between", value1, value2, "alertTimeStrFrom");
            return (Criteria) this;
        }

        public Criteria andAlertTimeStrFromNotBetween(String value1, String value2) {
            addCriterion("alert_time_str_from not between", value1, value2, "alertTimeStrFrom");
            return (Criteria) this;
        }

        public Criteria andAlertTimeStrToIsNull() {
            addCriterion("alert_time_str_to is null");
            return (Criteria) this;
        }

        public Criteria andAlertTimeStrToIsNotNull() {
            addCriterion("alert_time_str_to is not null");
            return (Criteria) this;
        }

        public Criteria andAlertTimeStrToEqualTo(String value) {
            addCriterion("alert_time_str_to =", value, "alertTimeStrTo");
            return (Criteria) this;
        }

        public Criteria andAlertTimeStrToNotEqualTo(String value) {
            addCriterion("alert_time_str_to <>", value, "alertTimeStrTo");
            return (Criteria) this;
        }

        public Criteria andAlertTimeStrToGreaterThan(String value) {
            addCriterion("alert_time_str_to >", value, "alertTimeStrTo");
            return (Criteria) this;
        }

        public Criteria andAlertTimeStrToGreaterThanOrEqualTo(String value) {
            addCriterion("alert_time_str_to >=", value, "alertTimeStrTo");
            return (Criteria) this;
        }

        public Criteria andAlertTimeStrToLessThan(String value) {
            addCriterion("alert_time_str_to <", value, "alertTimeStrTo");
            return (Criteria) this;
        }

        public Criteria andAlertTimeStrToLessThanOrEqualTo(String value) {
            addCriterion("alert_time_str_to <=", value, "alertTimeStrTo");
            return (Criteria) this;
        }

        public Criteria andAlertTimeStrToLike(String value) {
            addCriterion("alert_time_str_to like", value, "alertTimeStrTo");
            return (Criteria) this;
        }

        public Criteria andAlertTimeStrToNotLike(String value) {
            addCriterion("alert_time_str_to not like", value, "alertTimeStrTo");
            return (Criteria) this;
        }

        public Criteria andAlertTimeStrToIn(List<String> values) {
            addCriterion("alert_time_str_to in", values, "alertTimeStrTo");
            return (Criteria) this;
        }

        public Criteria andAlertTimeStrToNotIn(List<String> values) {
            addCriterion("alert_time_str_to not in", values, "alertTimeStrTo");
            return (Criteria) this;
        }

        public Criteria andAlertTimeStrToBetween(String value1, String value2) {
            addCriterion("alert_time_str_to between", value1, value2, "alertTimeStrTo");
            return (Criteria) this;
        }

        public Criteria andAlertTimeStrToNotBetween(String value1, String value2) {
            addCriterion("alert_time_str_to not between", value1, value2, "alertTimeStrTo");
            return (Criteria) this;
        }

        public Criteria andCreatedAtIsNull() {
            addCriterion("created_at is null");
            return (Criteria) this;
        }

        public Criteria andCreatedAtIsNotNull() {
            addCriterion("created_at is not null");
            return (Criteria) this;
        }

        public Criteria andCreatedAtEqualTo(Date value) {
            addCriterion("created_at =", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtNotEqualTo(Date value) {
            addCriterion("created_at <>", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtGreaterThan(Date value) {
            addCriterion("created_at >", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtGreaterThanOrEqualTo(Date value) {
            addCriterion("created_at >=", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtLessThan(Date value) {
            addCriterion("created_at <", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtLessThanOrEqualTo(Date value) {
            addCriterion("created_at <=", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtIn(List<Date> values) {
            addCriterion("created_at in", values, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtNotIn(List<Date> values) {
            addCriterion("created_at not in", values, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtBetween(Date value1, Date value2) {
            addCriterion("created_at between", value1, value2, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtNotBetween(Date value1, Date value2) {
            addCriterion("created_at not between", value1, value2, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedByIsNull() {
            addCriterion("created_by is null");
            return (Criteria) this;
        }

        public Criteria andCreatedByIsNotNull() {
            addCriterion("created_by is not null");
            return (Criteria) this;
        }

        public Criteria andCreatedByEqualTo(Long value) {
            addCriterion("created_by =", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByNotEqualTo(Long value) {
            addCriterion("created_by <>", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByGreaterThan(Long value) {
            addCriterion("created_by >", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByGreaterThanOrEqualTo(Long value) {
            addCriterion("created_by >=", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByLessThan(Long value) {
            addCriterion("created_by <", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByLessThanOrEqualTo(Long value) {
            addCriterion("created_by <=", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByIn(List<Long> values) {
            addCriterion("created_by in", values, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByNotIn(List<Long> values) {
            addCriterion("created_by not in", values, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByBetween(Long value1, Long value2) {
            addCriterion("created_by between", value1, value2, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByNotBetween(Long value1, Long value2) {
            addCriterion("created_by not between", value1, value2, "createdBy");
            return (Criteria) this;
        }

        public Criteria andDeletedAtIsNull() {
            addCriterion("deleted_at is null");
            return (Criteria) this;
        }

        public Criteria andDeletedAtIsNotNull() {
            addCriterion("deleted_at is not null");
            return (Criteria) this;
        }

        public Criteria andDeletedAtEqualTo(Date value) {
            addCriterion("deleted_at =", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtNotEqualTo(Date value) {
            addCriterion("deleted_at <>", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtGreaterThan(Date value) {
            addCriterion("deleted_at >", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtGreaterThanOrEqualTo(Date value) {
            addCriterion("deleted_at >=", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtLessThan(Date value) {
            addCriterion("deleted_at <", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtLessThanOrEqualTo(Date value) {
            addCriterion("deleted_at <=", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtIn(List<Date> values) {
            addCriterion("deleted_at in", values, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtNotIn(List<Date> values) {
            addCriterion("deleted_at not in", values, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtBetween(Date value1, Date value2) {
            addCriterion("deleted_at between", value1, value2, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtNotBetween(Date value1, Date value2) {
            addCriterion("deleted_at not between", value1, value2, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedByIsNull() {
            addCriterion("deleted_by is null");
            return (Criteria) this;
        }

        public Criteria andDeletedByIsNotNull() {
            addCriterion("deleted_by is not null");
            return (Criteria) this;
        }

        public Criteria andDeletedByEqualTo(Long value) {
            addCriterion("deleted_by =", value, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByNotEqualTo(Long value) {
            addCriterion("deleted_by <>", value, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByGreaterThan(Long value) {
            addCriterion("deleted_by >", value, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByGreaterThanOrEqualTo(Long value) {
            addCriterion("deleted_by >=", value, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByLessThan(Long value) {
            addCriterion("deleted_by <", value, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByLessThanOrEqualTo(Long value) {
            addCriterion("deleted_by <=", value, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByIn(List<Long> values) {
            addCriterion("deleted_by in", values, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByNotIn(List<Long> values) {
            addCriterion("deleted_by not in", values, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByBetween(Long value1, Long value2) {
            addCriterion("deleted_by between", value1, value2, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByNotBetween(Long value1, Long value2) {
            addCriterion("deleted_by not between", value1, value2, "deletedBy");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}